| hoogle | Source code | Contents | Index

Hoogle.DataBase.Suggest

Documentation

newtype Suggest | Source

Constructors

Suggest |

fromSuggest :: Trie SuggestItem |

Instances

Show Suggest
BinaryDefer Suggest

data SuggestItem | Source

Constructors

SuggestItem |

suggestCtor :: Maybe String |
suggestData :: [(String, Int)] |
suggestClass :: [(String, Int)] |

Instances

Show SuggestItem
BinaryDefer SuggestItem

createSuggest :: [Suggest] -> [TextItem] -> Suggest | Source

mergeSuggest :: [Suggest] -> Suggest | Source

joinItem :: SuggestItem -> SuggestItem -> SuggestItem | Source

askSuggest :: [Suggest] -> TypeSig -> Maybe (Either String TypeSig) | Source

contextTrim :: TypeSig -> TypeSig | Source

improve :: (String -> Maybe SuggestItem) -> Bool -> Type -> Type | Source

improveArity :: (String -> Maybe Int) -> Type -> Type | Source

improveName :: (String -> [String]) -> Type -> Type | Source

Produced by Haddock version 2.4.2